Skip to content
POST /connector/{slug}/share

Path Parameters

slugstring
required·

Resource id

Request Body

grantee_idstring
grantee_typestring
Possible values:
userteamorg
levelstring
Possible values:
viewedit
curl -X POST 'https://api.elaichi.ai/connector/<slug>/share' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"grantee_type":"user","grantee_id":"your_grantee_id","level":"view"}'
const body = {
  "grantee_type": "user",
  "grantee_id": "your_grantee_id",
  "level": "view"
};

const response = await fetch('https://api.elaichi.ai/connector/<slug>/share', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/connector/<slug>/share"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "grantee_type": "user",
    "grantee_id": "your_grantee_id",
    "level": "view"
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())